"""
* SPDX-License-Identifier: GPL-3.0-or-later
*
* Author: Tommy McGee (tommy.mcgee@opensource.wdc.com)
*
* Copyright (c) 2022 Western Digital Corporation or its affiliates.
*
* This module is used to provide OS and Kernel general information
"""
import os

def package_scan():
    """
    Look for specific files to determine if packages are installed
    """
    pkgs_to_find = ("/usr/include/linux/blkzoned.h", "/usr/sbin/nvme",
                    "/usr/include/blkid/blkid.h", "/usr/bin/fio",
                    "/usr/include/libzbd/zbd.h"
                    )
    for p_case in pkgs_to_find:
        file_path_check = p_case
        flag = os.path.isfile(file_path_check)
        if flag:
            print("-- Installed: " + p_case)
        else:
            print("-- Not Installed: " + p_case)
